All pages
Powered by GitBook
1 of 1

Loading...

Enable buyer

Enables a buyer that was previously disabled. When enabled, the buyer's status changes to Active if the buyer has ExternalId assigned or enabled.

post
Path parameters
idstringRequired
Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
erpCompanyContactstring · nullableOptional
erpCustomerstring · nullableOptional
accountExternalIdstring · nullableOptional
statusstring · enumOptionalPossible values:
addressLine1string · nullableOptional
addressLine2string · nullableOptional
postCodestring · nullableOptional
citystring · nullableOptional
statestring · nullableOptional
countrystring · nullableOptional
taxIdstring · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
idstring · nullableOptional
messagestring · nullableOptional
parametersany · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
externalIdstring · nullableOptional
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
post/public/v1/accounts/buyers/{id}/enable
POST /public/v1/accounts/buyers/{id}/enable HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "activated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "unassigned": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "disabled": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "icon": "text",
  "revision": 1,
  "externalIds": {
    "erpCompanyContact": "text",
    "erpCustomer": "text",
    "accountExternalId": "text"
  },
  "status": "Active",
  "address": {
    "addressLine1": "text",
    "addressLine2": "text",
    "postCode": "text",
    "city": "text",
    "state": "text",
    "country": "text"
  },
  "taxId": "text",
  "account": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "type": "Client",
    "status": "Active"
  },
  "errors": [
    {
      "id": "text",
      "message": "text",
      "parameters": null
    }
  ],
  "sellers": [
    {
      "id": "text",
      "name": "text",
      "icon": "text",
      "revision": 1,
      "externalId": "text"
    }
  ]
}